-- Credit to https://modworkshop.net/mod/23137 for the original code

local old_PlayerDamage_damage_bullet = PlayerDamage.damage_bullet
log("MxPlayerDamage")
function PlayerDamage:damage_bullet(attack_data)
    local show_log = false
    if not self:_chk_can_take_dmg() then
        return
    end
    local distance = mvector3.distance(self._unit:position(), attack_data.attacker_unit:position()) / 100
    local new_damage = attack_data.damage
	-- Light Enemies deal 67.5 Damage
    if attack_data.attacker_unit:base()._tweak_table == "fbi_swat" then
        new_damage = 6.75
    end
	-- Light Enemies deal 67.5 Damage, Gensec Elites should do the same
    if attack_data.attacker_unit:base()._tweak_table == "city_swat" then
        new_damage = 6.75
    end
	-- Heavy Enemies Deal 225 Damage
    if attack_data.attacker_unit:base()._tweak_table == "fbi_heavy_swat" then
        new_damage = 22.5
    end
	-- Guards do 65 Damage on DS, making it consistant.
	if attack_data.attacker_unit:base()._tweak_table == "security" then
        new_damage = 6.5
    end
	-- Tasers Do 195 Damage on DS, Making it consistant.
    if attack_data.attacker_unit:base()._tweak_table == "taser" then
        new_damage = 19.5
    end
	-- Shields Do 70 Damage on DS, Making it consistant.
    if attack_data.attacker_unit:base()._tweak_table == "shield" then
        new_damage = 7.0
    end
	-- Snipers Do 240 Damage on DS, Making it consistant.
    if attack_data.attacker_unit:base()._tweak_table == "sniper" then
        new_damage = 24.0
    end
    if show_log then -- log disabler on enabler
        log(
            "ill be damaged from" ..
                tostring(distance) .. "by " .. tostring(new_damage) .. " instead of " .. tostring(attack_data.damage)
        )
    end
    attack_data.damage = new_damage
    old_PlayerDamage_damage_bullet(self, attack_data)
end